searchData={"items":[{"type":"module","title":"Flowy","doc":"**⚠️ Important Notice: Early Stage Development**\nWe are delighted to introduce Flowy, a powerful and versatile software library. As we continue to refine and expand its capabilities, please be aware of the following:\n\n**🚧 Under Construction:**\n\n- Development Stage: Flowy is currently in its infancy. Rapid changes and updates are an integral part of this phase.\n- API Stability: Expect fluctuations in the API. Future versions may introduce changes that could disrupt existing implementations.\n\n**🔗 Use at Your Own Risk:**\n\n- Testing: Ensure thorough testing when integrating Flowy into your projects.\n- Feedback: Your input is invaluable. Please report any issues or suggestions to help us improve.\n\nThank you for choosing Flowy. We are excited to build something great together!","ref":"Flowy.html"},{"type":"module","title":"Introduction - Flowy","doc":"Flowy is designed to streamline your Elixir development process by reducing boilerplate, enhancing productivity, and making development enjoyable. We bring a framework that embodies the magic and simplicity of popular web frameworks, tailored specifically for the Elixir environment.","ref":"Flowy.html#module-introduction"},{"type":"module","title":"Embracing Code Generation Over Metaprogramming - Flowy","doc":"Flowy champions the use of convention over configuration while taking a different path from the metaprogramming-heavy frameworks. We generate the necessary boilerplate code for you, ensuring transparency, performance, and a more intuitive learning experience.","ref":"Flowy.html#module-embracing-code-generation-over-metaprogramming"},{"type":"function","title":"Flowy.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Flowy.html#child_spec/1"},{"type":"function","title":"Flowy.config/0","doc":"","ref":"Flowy.html#config/0"},{"type":"module","title":"Flowy.Config","doc":"This module defines a struct that contains all of the fields necessary to configure\nan instance of Flowy.","ref":"Flowy.Config.html"},{"type":"function","title":"Flowy.Config.build/1","doc":"Builds a Flowy configuration struct with the given options.","ref":"Flowy.Config.html#build/1"},{"type":"type","title":"Flowy.Config.t/0","doc":"","ref":"Flowy.Config.html#t:t/0"},{"type":"module","title":"Flowy.Config.Service","doc":"This module defines a struct that contains all of available fields\nto configure the web part of Flowy.","ref":"Flowy.Config.Service.html"},{"type":"function","title":"Flowy.Config.Service.find_code/2","doc":"Find an http code in the list of codes.","ref":"Flowy.Config.Service.html#find_code/2"},{"type":"type","title":"Flowy.Config.Service.t/0","doc":"","ref":"Flowy.Config.Service.html#t:t/0"},{"type":"module","title":"Flowy.Prometheus","doc":"This module is responsible for configuring the PromEx library","ref":"Flowy.Prometheus.html"},{"type":"function","title":"Flowy.Prometheus.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Flowy.Prometheus.html#child_spec/1"},{"type":"function","title":"Flowy.Prometheus.config/1","doc":"","ref":"Flowy.Prometheus.html#config/1"},{"type":"function","title":"Flowy.Prometheus.custom_plugins/0","doc":"","ref":"Flowy.Prometheus.html#custom_plugins/0"},{"type":"function","title":"Flowy.Prometheus.plugin/1","doc":"","ref":"Flowy.Prometheus.html#plugin/1"},{"type":"module","title":"Flowy.Prometheus.HttpPlugin","doc":"This module is responsible for generating metrics for the HTTP module.","ref":"Flowy.Prometheus.HttpPlugin.html"},{"type":"module","title":"Flowy.Support.Cache","doc":"The `Cache` module provides a simple API for interacting with the configured\ncache store.\n\n#","ref":"Flowy.Support.Cache.html"},{"type":"module","title":"Options - Flowy.Support.Cache","doc":"* `:opts` (`t:keyword/0`) - The default value is `[ttl: 300]`.\n\n  * `:ttl` (`t:integer/0`) - the time-to-live for a key in seconds. Default to 5 minutes. The default value is `300`.\n\n* `:store` (`t:atom/0`) - the cache store module to use. The default value is `Flowy.Support.Cache.MemoryStore`.","ref":"Flowy.Support.Cache.html#module-options"},{"type":"function","title":"Flowy.Support.Cache.build/1","doc":"Builds a cache struct.","ref":"Flowy.Support.Cache.html#build/1"},{"type":"function","title":"Flowy.Support.Cache.delete/1","doc":"Deletes a value from the cache store using the default cache.","ref":"Flowy.Support.Cache.html#delete/1"},{"type":"function","title":"Flowy.Support.Cache.delete/2","doc":"Deletes a value from the cache store.","ref":"Flowy.Support.Cache.html#delete/2"},{"type":"function","title":"Flowy.Support.Cache.fetch/3","doc":"Fetches a value from the cache store. If the key does not exist, the function\nis called and the result is stored in the cache store.","ref":"Flowy.Support.Cache.html#fetch/3"},{"type":"function","title":"Flowy.Support.Cache.read/1","doc":"Reads a value from the cache store using the default cache.","ref":"Flowy.Support.Cache.html#read/1"},{"type":"function","title":"Flowy.Support.Cache.read/2","doc":"Reads a value from the cache store.","ref":"Flowy.Support.Cache.html#read/2"},{"type":"function","title":"Flowy.Support.Cache.reset/0","doc":"Resets the cache store using the default cache.","ref":"Flowy.Support.Cache.html#reset/0"},{"type":"function","title":"Flowy.Support.Cache.reset/1","doc":"","ref":"Flowy.Support.Cache.html#reset/1"},{"type":"function","title":"Flowy.Support.Cache.write/2","doc":"Writes a value to the cache store using the default cache.","ref":"Flowy.Support.Cache.html#write/2"},{"type":"function","title":"Flowy.Support.Cache.write/3","doc":"Writes a value to the cache store.","ref":"Flowy.Support.Cache.html#write/3"},{"type":"type","title":"Flowy.Support.Cache.cache/0","doc":"","ref":"Flowy.Support.Cache.html#t:cache/0"},{"type":"type","title":"Flowy.Support.Cache.key/0","doc":"","ref":"Flowy.Support.Cache.html#t:key/0"},{"type":"type","title":"Flowy.Support.Cache.t/0","doc":"","ref":"Flowy.Support.Cache.html#t:t/0"},{"type":"module","title":"Flowy.Support.Cache.MemoryStore","doc":"A simple in-memory cache store backed by ETS\n\n#","ref":"Flowy.Support.Cache.MemoryStore.html"},{"type":"module","title":"Options - Flowy.Support.Cache.MemoryStore","doc":"* `:ttl` (`t:integer/0`) - the time-to-live for a key in seconds. Default to 5 minutes. The default value is `300`.","ref":"Flowy.Support.Cache.MemoryStore.html#module-options"},{"type":"function","title":"Flowy.Support.Cache.MemoryStore.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Flowy.Support.Cache.MemoryStore.html#child_spec/1"},{"type":"function","title":"Flowy.Support.Cache.MemoryStore.delete/1","doc":"Delete a value from the cache","ref":"Flowy.Support.Cache.MemoryStore.html#delete/1"},{"type":"function","title":"Flowy.Support.Cache.MemoryStore.fetch/3","doc":"Fetch a value from the cache, or write the result of the function to the cache\nif the key does not exist.","ref":"Flowy.Support.Cache.MemoryStore.html#fetch/3"},{"type":"function","title":"Flowy.Support.Cache.MemoryStore.read/2","doc":"Read a value from the cache.","ref":"Flowy.Support.Cache.MemoryStore.html#read/2"},{"type":"function","title":"Flowy.Support.Cache.MemoryStore.reset/0","doc":"Reset the cache","ref":"Flowy.Support.Cache.MemoryStore.html#reset/0"},{"type":"function","title":"Flowy.Support.Cache.MemoryStore.write/2","doc":"Write a value to the cache","ref":"Flowy.Support.Cache.MemoryStore.html#write/2"},{"type":"behaviour","title":"Flowy.Support.Cache.Store","doc":"A behaviour for cache stores.","ref":"Flowy.Support.Cache.Store.html"},{"type":"callback","title":"Flowy.Support.Cache.Store.delete/1","doc":"","ref":"Flowy.Support.Cache.Store.html#c:delete/1"},{"type":"callback","title":"Flowy.Support.Cache.Store.fetch/3","doc":"","ref":"Flowy.Support.Cache.Store.html#c:fetch/3"},{"type":"callback","title":"Flowy.Support.Cache.Store.read/2","doc":"","ref":"Flowy.Support.Cache.Store.html#c:read/2"},{"type":"callback","title":"Flowy.Support.Cache.Store.reset/0","doc":"","ref":"Flowy.Support.Cache.Store.html#c:reset/0"},{"type":"callback","title":"Flowy.Support.Cache.Store.write/2","doc":"","ref":"Flowy.Support.Cache.Store.html#c:write/2"},{"type":"module","title":"Flowy.Support.Http","doc":"The `Cache` module provides a simple API for interacting with the configured\ncache store.\n\n#","ref":"Flowy.Support.Http.html"},{"type":"module","title":"Options - Flowy.Support.Http","doc":"* `:opts` (non-empty `t:keyword/0`) - The default value is `[receive_timeout: 15000]`.\n\n  * `:receive_timeout` (`t:integer/0`) - The maximum time to wait for a response before returning an error The default value is `15000`.\n\n  * `:pool_timeout` (`t:integer/0`) - This timeout is applied when we check out a connection from the pool. The default value is `5000`.\n\n* `:client` (`t:atom/0`) - the HTTP client module to use. The default value is `Flowy.Support.Http.FinchClient`.","ref":"Flowy.Support.Http.html#module-options"},{"type":"function","title":"Flowy.Support.Http.build/1","doc":"Builds a new HTTP client struct.","ref":"Flowy.Support.Http.html#build/1"},{"type":"function","title":"Examples - Flowy.Support.Http.build/1","doc":"iex> Flowy.Support.Http.build()\n  %Flowy.Support.Http{\n    client: Flowy.Support.Http.FinchClient,\n    opts: [pool_timeout: 5000, receive_timeout: 15000]\n  }\n\n  iex> Flowy.Support.Http.build(opts: [receive_timeout: 10_000])\n  %Flowy.Support.Http{\n    client: Flowy.Support.Http.FinchClient,\n    opts: [pool_timeout: 5000, receive_timeout: 10000]\n  }","ref":"Flowy.Support.Http.html#build/1-examples"},{"type":"function","title":"Flowy.Support.Http.delete/2","doc":"Makes a DELETE request.","ref":"Flowy.Support.Http.html#delete/2"},{"type":"function","title":"Flowy.Support.Http.delete/3","doc":"Makes a DELETE request, using the provided client.","ref":"Flowy.Support.Http.html#delete/3"},{"type":"function","title":"Flowy.Support.Http.do_request/4","doc":"","ref":"Flowy.Support.Http.html#do_request/4"},{"type":"function","title":"Flowy.Support.Http.do_request/5","doc":"","ref":"Flowy.Support.Http.html#do_request/5"},{"type":"function","title":"Flowy.Support.Http.get/2","doc":"Makes a GET request.","ref":"Flowy.Support.Http.html#get/2"},{"type":"function","title":"Flowy.Support.Http.get/3","doc":"Makes a GET request, using the provided client.","ref":"Flowy.Support.Http.html#get/3"},{"type":"function","title":"Flowy.Support.Http.patch/3","doc":"Makes a PATCH request.","ref":"Flowy.Support.Http.html#patch/3"},{"type":"function","title":"Flowy.Support.Http.patch/4","doc":"Makes a PATCH request, using the provided client.","ref":"Flowy.Support.Http.html#patch/4"},{"type":"function","title":"Flowy.Support.Http.post/3","doc":"Makes a POST request.","ref":"Flowy.Support.Http.html#post/3"},{"type":"function","title":"Flowy.Support.Http.post/4","doc":"Makes a POST request, using the provided client.","ref":"Flowy.Support.Http.html#post/4"},{"type":"function","title":"Flowy.Support.Http.put/3","doc":"Makes a PUT request.","ref":"Flowy.Support.Http.html#put/3"},{"type":"function","title":"Flowy.Support.Http.put/4","doc":"Makes a PUT request, using the provided client.","ref":"Flowy.Support.Http.html#put/4"},{"type":"type","title":"Flowy.Support.Http.response/0","doc":"","ref":"Flowy.Support.Http.html#t:response/0"},{"type":"type","title":"Flowy.Support.Http.t/0","doc":"","ref":"Flowy.Support.Http.html#t:t/0"},{"type":"behaviour","title":"Flowy.Support.Http.Client","doc":"This module defines the behaviour for HTTP clients.","ref":"Flowy.Support.Http.Client.html"},{"type":"callback","title":"Flowy.Support.Http.Client.request/1","doc":"","ref":"Flowy.Support.Http.Client.html#c:request/1"},{"type":"type","title":"Flowy.Support.Http.Client.request/0","doc":"","ref":"Flowy.Support.Http.Client.html#t:request/0"},{"type":"type","title":"Flowy.Support.Http.Client.response/0","doc":"","ref":"Flowy.Support.Http.Client.html#t:response/0"},{"type":"module","title":"Flowy.Support.Http.FinchClient","doc":"This module defines the behaviour for HTTP clients.","ref":"Flowy.Support.Http.FinchClient.html"},{"type":"function","title":"Flowy.Support.Http.FinchClient.request/1","doc":"Makes an HTTP request using Finch.","ref":"Flowy.Support.Http.FinchClient.html#request/1"},{"type":"type","title":"Flowy.Support.Http.FinchClient.request/0","doc":"","ref":"Flowy.Support.Http.FinchClient.html#t:request/0"},{"type":"type","title":"Flowy.Support.Http.FinchClient.response/0","doc":"","ref":"Flowy.Support.Http.FinchClient.html#t:response/0"},{"type":"module","title":"Flowy.Support.Http.Request","doc":"This module defines the behaviour for HTTP responses.","ref":"Flowy.Support.Http.Request.html"},{"type":"function","title":"Flowy.Support.Http.Request.build/5","doc":"Builds a new request struct.","ref":"Flowy.Support.Http.Request.html#build/5"},{"type":"type","title":"Flowy.Support.Http.Request.t/0","doc":"","ref":"Flowy.Support.Http.Request.html#t:t/0"},{"type":"module","title":"Flowy.Support.Http.Response","doc":"This module defines the behaviour for HTTP responses.","ref":"Flowy.Support.Http.Response.html"},{"type":"type","title":"Flowy.Support.Http.Response.t/0","doc":"","ref":"Flowy.Support.Http.Response.html#t:t/0"},{"type":"module","title":"Flowy.Support.OAuth","doc":"This module is responsible for managing the OAuth clients.","ref":"Flowy.Support.OAuth.html"},{"type":"module","title":"Configuration - Flowy.Support.OAuth","doc":"```elixir\nconfig :flowy, :oauth,\n  site: \"https://hydra.mysite.net\",\n  clients: [\n    %{\n      client_id: System.get_env(\"APP_CLIENT_ID\"),\n      client_secret: System.get_env(\"APP_SECRET\"),\n      audience: System.get_env(\" APP_AUDIENCE\"),\n      token_url: \"/oauth2/token\",\n      scopes: []\n    }\n  ]\n```","ref":"Flowy.Support.OAuth.html#module-configuration"},{"type":"function","title":"Flowy.Support.OAuth.build/1","doc":"This function is responsible for building the OAuth client.","ref":"Flowy.Support.OAuth.html#build/1"},{"type":"function","title":"Flowy.Support.OAuth.build/5","doc":"","ref":"Flowy.Support.OAuth.html#build/5"},{"type":"function","title":"Flowy.Support.OAuth.get_access_token/1","doc":"","ref":"Flowy.Support.OAuth.html#get_access_token/1"},{"type":"function","title":"Flowy.Support.OAuth.get_token/1","doc":"This function is responsible for getting the access token from the OAuth server.\nWhen the client already have an access token, it will check if the token is expired.","ref":"Flowy.Support.OAuth.html#get_token/1"},{"type":"module","title":"Flowy.Support.OAuth.Client","doc":"This module is responsible for managing the OAuth clients.","ref":"Flowy.Support.OAuth.Client.html"},{"type":"type","title":"Flowy.Support.OAuth.Client.t/0","doc":"","ref":"Flowy.Support.OAuth.Client.html#t:t/0"},{"type":"module","title":"Flowy.Support.OAuth.OAuthDynamicSupervisor","doc":"This supervisor is responsible for starting all the OAuthServer processes.","ref":"Flowy.Support.OAuth.OAuthDynamicSupervisor.html"},{"type":"module","title":"Configuration - Flowy.Support.OAuth.OAuthDynamicSupervisor","doc":"```elixir\nconfig :flowy, :oauth,\n  site: \"https://hydra.mysite.net\",\n  clients: [\n    %{\n      client_id: System.get_env(\"APP_CLIENT_ID\"),\n      client_secret: System.get_env(\"APP_SECRET\"),\n      audience: System.get_env(\" APP_AUDIENCE\"),\n      token_url: \"/oauth2/token\",\n      scopes: []\n    }\n  ]\n```","ref":"Flowy.Support.OAuth.OAuthDynamicSupervisor.html#module-configuration"},{"type":"function","title":"Flowy.Support.OAuth.OAuthDynamicSupervisor.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Flowy.Support.OAuth.OAuthDynamicSupervisor.html#child_spec/1"},{"type":"function","title":"Flowy.Support.OAuth.OAuthDynamicSupervisor.clients/0","doc":"","ref":"Flowy.Support.OAuth.OAuthDynamicSupervisor.html#clients/0"},{"type":"function","title":"Flowy.Support.OAuth.OAuthDynamicSupervisor.start_child/1","doc":"Start an OAuthServer process for a given client.","ref":"Flowy.Support.OAuth.OAuthDynamicSupervisor.html#start_child/1"},{"type":"function","title":"Flowy.Support.OAuth.OAuthDynamicSupervisor.start_children/0","doc":"We want to starts all the existing GRPC connections\nwhen the supervisor starts. But we want to do it in a\nTask so we don't block the supervisor.","ref":"Flowy.Support.OAuth.OAuthDynamicSupervisor.html#start_children/0"},{"type":"function","title":"Flowy.Support.OAuth.OAuthDynamicSupervisor.start_children/1","doc":"Start OAuthServer processes for each configured client.","ref":"Flowy.Support.OAuth.OAuthDynamicSupervisor.html#start_children/1"},{"type":"function","title":"Flowy.Support.OAuth.OAuthDynamicSupervisor.start_link/1","doc":"","ref":"Flowy.Support.OAuth.OAuthDynamicSupervisor.html#start_link/1"},{"type":"module","title":"Flowy.Support.OAuth.OAuthServer","doc":"This module is responsible for managing the OAuth clients.","ref":"Flowy.Support.OAuth.OAuthServer.html"},{"type":"function","title":"Flowy.Support.OAuth.OAuthServer.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Flowy.Support.OAuth.OAuthServer.html#child_spec/1"},{"type":"function","title":"Flowy.Support.OAuth.OAuthServer.start_link/1","doc":"","ref":"Flowy.Support.OAuth.OAuthServer.html#start_link/1"},{"type":"function","title":"Flowy.Support.OAuth.OAuthServer.stop/1","doc":"","ref":"Flowy.Support.OAuth.OAuthServer.html#stop/1"},{"type":"function","title":"Flowy.Support.OAuth.OAuthServer.token/1","doc":"","ref":"Flowy.Support.OAuth.OAuthServer.html#token/1"},{"type":"module","title":"Flowy.Telemetry","doc":"Telemetry events for Flowy.\n\nflowy executes the following events:\n\n#","ref":"Flowy.Telemetry.html"},{"type":"module","title":"Read from cache - Flowy.Telemetry","doc":"`[:flowy, :cache, :read]` - Executed when reading from the cache.\n\n##","ref":"Flowy.Telemetry.html#module-read-from-cache"},{"type":"module","title":"Measurements - Flowy.Telemetry","doc":"* `:system_time` - The system time.\n\n##","ref":"Flowy.Telemetry.html#module-measurements"},{"type":"module","title":"Metadata - Flowy.Telemetry","doc":"* `:key` - The cache key","ref":"Flowy.Telemetry.html#module-metadata"},{"type":"module","title":"Flowy.Utils.Case","doc":"NOTE: This is a port from https://github.com/Finbits/casex\n\nSimple case conversion for web applications.\nEasily decodes `camelCase` body payloads to `snake_case` and\nresponse payloads from `camelCase` to `snake_case`.\nUseful to maintain to expose your API in `camelCase` but keep internally the elixir naming conventions.\n\nIt leverages [recase](https://github.com/sobolevn/recase) to provide case conversions\nwithout relying on the `Macro` module and\neasily integrates with [plug](https://hex.pm/packages/plug)-based applications.","ref":"Flowy.Utils.Case.html"},{"type":"module","title":"Phoenix Integration - Flowy.Utils.Case","doc":"1. Add `Flowy.Utils.Case.CamelCaseDecoderPlug` to your api pipeline:\n\n```elixir\n# router.ex\npipeline :api do\n  plug :accepts, [\"json\"]\n  plug Flowy.Utils.Case.CamelCaseDecoderPlug\nend\n```\nNow, all request bodies and params will be converted to snake case.\n\n\n2. Add `Flowy.Utils.Case.CamelCaseEncoder` as json format encoder for phoenix:\n\n```elixir\n# config.exs\nconfig :phoenix, :format_encoders, json: Flowy.Utils.Case.CamelCaseEncoder\n```\n\nNow all outcoming json response bodies will be converted to camel case.","ref":"Flowy.Utils.Case.html#module-phoenix-integration"},{"type":"function","title":"Flowy.Utils.Case.to_camel_case/1","doc":"Converts all keys of a map to camel case.\nIf the map is a struct with no `Enumerable` implementation the value is returned without convertion.","ref":"Flowy.Utils.Case.html#to_camel_case/1"},{"type":"function","title":"Examples - Flowy.Utils.Case.to_camel_case/1","doc":"iex> data = %{\n    ...>   user: %{\n    ...>     first_name: \"James\",\n    ...>     last_name: \"Kirk\",\n    ...>     crew: [\n    ...>       %{name: \"Spock\", serial_number: \"S 179-276 SP\"},\n    ...>       %{name: \"Scotty\", serial_number: \"SE 19754 T\"}\n    ...>     ]\n    ...>   }\n    ...> }\n    iex> Flowy.Utils.Case.to_camel_case(data)\n    %{\n      \"user\" => %{\n        \"firstName\" => \"James\",\n        \"lastName\" => \"Kirk\",\n        \"crew\" => [\n          %{\"name\" => \"Spock\", \"serialNumber\" => \"S 179-276 SP\"},\n          %{\"name\" => \"Scotty\", \"serialNumber\" => \"SE 19754 T\"}\n        ]\n      }\n    }","ref":"Flowy.Utils.Case.html#to_camel_case/1-examples"},{"type":"function","title":"Flowy.Utils.Case.to_snake_case/1","doc":"Converts all keys of a map to snake case.\nIf the map is a struct with no `Enumerable` implementation the value is returned without convertion.","ref":"Flowy.Utils.Case.html#to_snake_case/1"},{"type":"function","title":"Examples - Flowy.Utils.Case.to_snake_case/1","doc":"iex> data = %{\n    ...>   \"user\" => %{\n    ...>     \"firstName\" => \"James\",\n    ...>     \"lastName\" => \"Kirk\",\n    ...>     \"crew\" => [\n    ...>       %{\"name\" => \"Spock\", \"serialNumber\" => \"S 179-276 SP\"},\n    ...>       %{\"name\" => \"Scotty\", \"serialNumber\" => \"SE 19754 T\"}\n    ...>     ]\n    ...>   }\n    ...> }\n    iex> Flowy.Utils.Case.to_snake_case(data)\n    %{\n      \"user\" => %{\n        \"first_name\" => \"James\",\n        \"last_name\" => \"Kirk\",\n        \"crew\" => [\n          %{\"name\" => \"Spock\", \"serial_number\" => \"S 179-276 SP\"},\n          %{\"name\" => \"Scotty\", \"serial_number\" => \"SE 19754 T\"}\n        ]\n      }\n    }","ref":"Flowy.Utils.Case.html#to_snake_case/1-examples"},{"type":"module","title":"Flowy.Utils.Case.CamelCaseEncoder","doc":"Format encoder for phoenix. Converts all the keys of the json data to camel case.","ref":"Flowy.Utils.Case.CamelCaseEncoder.html"},{"type":"module","title":"Usage - Flowy.Utils.Case.CamelCaseEncoder","doc":"Add `Flowy.Utils.Case.CamelCaseEncoder` as json format encoder for phoenix:\n\n```\n# config.exs\nconfig :phoenix, :format_encoders, json: Flowy.Utils.Case.CamelCaseEncoder\n```\n\nNow all outcoming json response bodies will be converted to camel case.","ref":"Flowy.Utils.Case.CamelCaseEncoder.html#module-usage"},{"type":"module","title":"Structs - Flowy.Utils.Case.CamelCaseEncoder","doc":"If you want to control how the keys will be serilized before being encoded by `Jason`,\nyou can provide a implementation for the `Flowy.Utils.Case.Serializable` protocol, by default it\nwill return the structs as they come, without any transformation.","ref":"Flowy.Utils.Case.CamelCaseEncoder.html#module-structs"},{"type":"function","title":"Flowy.Utils.Case.CamelCaseEncoder.encode_to_iodata!/1","doc":"Encode the data to camel case and then encode it to iodata using `Jason.encode_to_iodata!/1`.","ref":"Flowy.Utils.Case.CamelCaseEncoder.html#encode_to_iodata!/1"},{"type":"protocol","title":"Flowy.Utils.Case.Serializable","doc":"Protocol controlling how a value is serialized. It is useful to handle custom\nstructs of your app, without that the `Flowy.Utils.Case` will be skipped and passed directly to Jason.","ref":"Flowy.Utils.Case.Serializable.html"},{"type":"protocol","title":"Deriving - Flowy.Utils.Case.Serializable","doc":"The protocol allows leveraging the Elixir's `@derive` feature\nto simplify protocol implementation in trivial cases. Accepted\noptions are:\n\n  * `:only` - encodes only values of specified keys.\n  * `:except` - encodes all struct fields except specified keys.\n\nBy default all keys except the `:__struct__` key are serialized.\n\nIt also returns a compile time dict of the camelized keys in order\nto increase the speed of the case conversion.","ref":"Flowy.Utils.Case.Serializable.html#module-deriving"},{"type":"protocol","title":"Example - Flowy.Utils.Case.Serializable","doc":"Let's assume a presence of the following struct:\n\n    defmodule Test do\n      defstruct [:foo, :bar, :baz]\n    end\n\nIf we were to call `@derive Flowy.Utils.Case.Serializable` just before `defstruct`,\nan implementation similar to the following implementation would be generated:\n\n    defimpl Flowy.Utils.Case.Serializable, for: Test do\n      def serialize(data) do\n        {Map.take(data, [:foo, :bar, :baz]), %{foo: \"foo\", bar: \"bar\", baz: \"baz\"}}\n      end\n    end\n\nIf we called `@derive {Flowy.Utils.Case.Serializable, only: [:foo]}`, an implementation\nsimilar to the following implementation would be generated:\n\n    defimpl Flowy.Utils.Case.Serializable, for: Test do\n      def serialize(data) do\n        {Map.take(data, [:foo]), %{foo: \"foo\"}}\n      end\n    end\n\nIf we called `@derive {Flowy.Utils.Case.Serializable, except: [:foo]}`, an implementation\nsimilar to the following implementation would be generated:\n\n    defimpl Flowy.Utils.Case.Serializable, for: Test do\n      def serialize(data) do\n        {Map.take(data, [:bar, :baz]), %{bar: \"bar\", baz: \"baz\"}}\n      end\n    end","ref":"Flowy.Utils.Case.Serializable.html#module-example"},{"type":"type","title":"Flowy.Utils.Case.Serializable.t/0","doc":"All the types that implement this protocol.","ref":"Flowy.Utils.Case.Serializable.html#t:t/0"},{"type":"module","title":"Flowy.Utils.JwtToken","doc":"This module is responsible for decoding and verifying a JWT token","ref":"Flowy.Utils.JwtToken.html"},{"type":"function","title":"Flowy.Utils.JwtToken.decode/2","doc":"","ref":"Flowy.Utils.JwtToken.html#decode/2"},{"type":"function","title":"Flowy.Utils.JwtToken.decode_and_validate/2","doc":"Decodes and verifies a JWT token using the public keys found in the JWKS endpoint","ref":"Flowy.Utils.JwtToken.html#decode_and_validate/2"},{"type":"function","title":"Flowy.Utils.JwtToken.public_keys/1","doc":"Fetches the public keys from the JWKS endpoint","ref":"Flowy.Utils.JwtToken.html#public_keys/1"},{"type":"function","title":"Flowy.Utils.JwtToken.public_keys_url/1","doc":"","ref":"Flowy.Utils.JwtToken.html#public_keys_url/1"},{"type":"function","title":"Flowy.Utils.JwtToken.sign/0","doc":"Signs a JWT token using the private key found in the PEM file\nThis is mainly used to generate a token for testing purposes","ref":"Flowy.Utils.JwtToken.html#sign/0"},{"type":"function","title":"Flowy.Utils.JwtToken.sign!/0","doc":"Signs a JWT token using the private key found in the PEM file","ref":"Flowy.Utils.JwtToken.html#sign!/0"},{"type":"module","title":"Flowy.Utils.JwtToken.Context","doc":"This module is responsible for decoding and verifying a JWT token","ref":"Flowy.Utils.JwtToken.Context.html"},{"type":"function","title":"Flowy.Utils.JwtToken.Context.build/2","doc":"Builds a context struct with the token and the claims","ref":"Flowy.Utils.JwtToken.Context.html#build/2"},{"type":"function","title":"Flowy.Utils.JwtToken.Context.default_claims/1","doc":"","ref":"Flowy.Utils.JwtToken.Context.html#default_claims/1"},{"type":"function","title":"Flowy.Utils.JwtToken.Context.validate_audience/1","doc":"","ref":"Flowy.Utils.JwtToken.Context.html#validate_audience/1"},{"type":"function","title":"Flowy.Utils.JwtToken.Context.validate_audience/2","doc":"Compares the audience from the token with the audience to validate","ref":"Flowy.Utils.JwtToken.Context.html#validate_audience/2"},{"type":"type","title":"Flowy.Utils.JwtToken.Context.t/0","doc":"","ref":"Flowy.Utils.JwtToken.Context.html#t:t/0"},{"type":"module","title":"Flowy.Utils.JwtToken.OIDCConfig","doc":"OIDC configuration to be used with JWT Token authentication","ref":"Flowy.Utils.JwtToken.OIDCConfig.html"},{"type":"function","title":"Flowy.Utils.JwtToken.OIDCConfig.aud/0","doc":"Returns the audience of the JWT token from\nan environment variable called OIDC_AUD","ref":"Flowy.Utils.JwtToken.OIDCConfig.html#aud/0"},{"type":"function","title":"Flowy.Utils.JwtToken.OIDCConfig.claims/1","doc":"Returns the default claims for the JWT token","ref":"Flowy.Utils.JwtToken.OIDCConfig.html#claims/1"},{"type":"function","title":"Flowy.Utils.JwtToken.OIDCConfig.iss/0","doc":"Returns the issuer of the JWT token from\nan environment variable called OIDC_ISS","ref":"Flowy.Utils.JwtToken.OIDCConfig.html#iss/0"},{"type":"function","title":"Flowy.Utils.JwtToken.OIDCConfig.jwks_uri/0","doc":"Returns the JWKS URI of the JWT token from\nan environment variable called OIDC_JWKS_URI","ref":"Flowy.Utils.JwtToken.OIDCConfig.html#jwks_uri/0"},{"type":"function","title":"Flowy.Utils.JwtToken.OIDCConfig.pem/0","doc":"Returns the PEM file to be used to verify the JWT token from\nan environment variable called OIDC_PEM or from the settings :flowy, :pem","ref":"Flowy.Utils.JwtToken.OIDCConfig.html#pem/0"},{"type":"function","title":"Flowy.Utils.JwtToken.OIDCConfig.public_keys/0","doc":"Returns the public keys to be used to verify the JWT token from\nan environment variable called OIDC_PUBLIC_KEYS","ref":"Flowy.Utils.JwtToken.OIDCConfig.html#public_keys/0"},{"type":"module","title":"Flowy.Web.Controllers.ChangesetJSON","doc":"This module is responsible for rendering changeset errors","ref":"Flowy.Web.Controllers.ChangesetJSON.html"},{"type":"function","title":"Flowy.Web.Controllers.ChangesetJSON.error/1","doc":"Renders changeset errors.","ref":"Flowy.Web.Controllers.ChangesetJSON.html#error/1"},{"type":"module","title":"Flowy.Web.Controllers.ErrorHTML","doc":"This module is responsible for rendering error pages","ref":"Flowy.Web.Controllers.ErrorHTML.html"},{"type":"function","title":"Flowy.Web.Controllers.ErrorHTML.404/1","doc":"","ref":"Flowy.Web.Controllers.ErrorHTML.html#404/1"},{"type":"function","title":"Flowy.Web.Controllers.ErrorHTML.500/1","doc":"","ref":"Flowy.Web.Controllers.ErrorHTML.html#500/1"},{"type":"function","title":"Flowy.Web.Controllers.ErrorHTML.render/2","doc":"Renders an error page.","ref":"Flowy.Web.Controllers.ErrorHTML.html#render/2"},{"type":"module","title":"Flowy.Web.Controllers.ErrorJSON","doc":"This module is responsible for rendering apis error","ref":"Flowy.Web.Controllers.ErrorJSON.html"},{"type":"function","title":"Flowy.Web.Controllers.ErrorJSON.render/2","doc":"If you want to customize a particular status code,\nyou may add your own clauses, such as:\n\ndef render(\"500.json\", _assigns) do\n  %{errors: %{detail: \"Internal Server Error\"}}\nend\n\nBy default, Phoenix returns the status message from\nthe template name. For example, \"404.json\" becomes\n\"Not Found\".","ref":"Flowy.Web.Controllers.ErrorJSON.html#render/2"},{"type":"module","title":"Flowy.Web.Controllers.FallbackController","doc":"A fallback plug is useful to translate common domain data structures\ninto a valid `%Plug.Conn{}` response. If the controller action fails to\nreturn a `%Plug.Conn{}`, the provided plug will be called and receive\nthe controller's `%Plug.Conn{}` as it was before the action was invoked\nalong with the value returned from the controller action.","ref":"Flowy.Web.Controllers.FallbackController.html"},{"type":"module","title":"Flowy.Web.Plugs.CamelCaseDecoderPlug","doc":"Converts all plug params to snake case.","ref":"Flowy.Web.Plugs.CamelCaseDecoderPlug.html"},{"type":"module","title":"Usage - Flowy.Web.Plugs.CamelCaseDecoderPlug","doc":"Add `Flowy.Web.Plugs.CamelCaseDecoderPlug` to your api pipeline:\n\n```elixir\n# router.ex\npipeline :api do\n  plug :accepts, [\"json\"]\n  plug Flowy.Web.Plugs.CamelCaseDecoderPlug\nend\n```\n\nNow, all request bodies and params will be converted to snake case.","ref":"Flowy.Web.Plugs.CamelCaseDecoderPlug.html#module-usage"},{"type":"module","title":"Flowy.Web.Plugs.JwtAuthPlug","doc":"Looks for and validates a token found in the `Authorization` header.","ref":"Flowy.Web.Plugs.JwtAuthPlug.html"},{"type":"module","title":"Mix.Flowy","doc":"Mix tasks for Flowy.","ref":"Mix.Flowy.html"},{"type":"function","title":"Mix.Flowy.context_app/0","doc":"Returns the OTP context app.","ref":"Mix.Flowy.html#context_app/0"},{"type":"function","title":"Mix.Flowy.context_app_path/2","doc":"Returns the context app path prefix to be used in generated context files.","ref":"Mix.Flowy.html#context_app_path/2"},{"type":"function","title":"Mix.Flowy.context_base/1","doc":"Returns the context module base name based on the configuration value.\n\n    config :my_app\n      namespace: My.App","ref":"Mix.Flowy.html#context_base/1"},{"type":"function","title":"Mix.Flowy.context_lib_path/2","doc":"Returns the context lib path to be used in generated context files.","ref":"Mix.Flowy.html#context_lib_path/2"},{"type":"function","title":"Mix.Flowy.context_test_path/2","doc":"","ref":"Mix.Flowy.html#context_test_path/2"},{"type":"function","title":"Mix.Flowy.copy_from/4","doc":"Copies files from source dir to target dir\naccording to the given map.\n\nFiles are evaluated against EEx according to\nthe given binding.","ref":"Mix.Flowy.html#copy_from/4"},{"type":"function","title":"Mix.Flowy.generator_paths/0","doc":"The paths to look for template files for generators.\n\nDefaults to checking the current app's `priv` directory,\nand falls back to Flowy's `priv` directory.","ref":"Mix.Flowy.html#generator_paths/0"},{"type":"function","title":"Mix.Flowy.lib_path/3","doc":"Path to the context's lib directory.","ref":"Mix.Flowy.html#lib_path/3"},{"type":"function","title":"Mix.Flowy.otp_app/0","doc":"Returns the OTP app from the Mix project configuration.","ref":"Mix.Flowy.html#otp_app/0"},{"type":"function","title":"Mix.Flowy.prepend_newline/1","doc":"","ref":"Mix.Flowy.html#prepend_newline/1"},{"type":"function","title":"Mix.Flowy.prompt_for_conflicts/1","doc":"Prompts to continue if any files exist.","ref":"Mix.Flowy.html#prompt_for_conflicts/1"},{"type":"function","title":"Mix.Flowy.test_path/1","doc":"","ref":"Mix.Flowy.html#test_path/1"},{"type":"function","title":"Mix.Flowy.test_path/3","doc":"Path to the context's test directory.","ref":"Mix.Flowy.html#test_path/3"},{"type":"function","title":"Mix.Flowy.to_text/1","doc":"","ref":"Mix.Flowy.html#to_text/1"},{"type":"module","title":"Mix.Flowy.Core","doc":"Generates a Flowy core module.","ref":"Mix.Flowy.Core.html"},{"type":"function","title":"Mix.Flowy.Core.new/2","doc":"Builds a core module struct from a schema.","ref":"Mix.Flowy.Core.html#new/2"},{"type":"function","title":"Mix.Flowy.Core.new/3","doc":"Builds a core module struct from a schema.","ref":"Mix.Flowy.Core.html#new/3"},{"type":"function","title":"Mix.Flowy.Core.pre_existing?/1","doc":"Check if the core module already exists.","ref":"Mix.Flowy.Core.html#pre_existing?/1"},{"type":"function","title":"Mix.Flowy.Core.pre_existing_tests?/1","doc":"Check if the core test module already exists.","ref":"Mix.Flowy.Core.html#pre_existing_tests?/1"},{"type":"function","title":"Mix.Flowy.Core.valid?/1","doc":"Validates the core module name.","ref":"Mix.Flowy.Core.html#valid?/1"},{"type":"type","title":"Mix.Flowy.Core.t/0","doc":"","ref":"Mix.Flowy.Core.html#t:t/0"},{"type":"module","title":"Mix.Flowy.Query","doc":"Generates a Flowy query module.","ref":"Mix.Flowy.Query.html"},{"type":"function","title":"Mix.Flowy.Query.new/2","doc":"Builds a query struct from the given arguments.","ref":"Mix.Flowy.Query.html#new/2"},{"type":"function","title":"Mix.Flowy.Query.pre_existing?/1","doc":"Check if the query module already exists.","ref":"Mix.Flowy.Query.html#pre_existing?/1"},{"type":"function","title":"Mix.Flowy.Query.pre_existing_tests?/1","doc":"Check if the query test module already exists.","ref":"Mix.Flowy.Query.html#pre_existing_tests?/1"},{"type":"type","title":"Mix.Flowy.Query.t/0","doc":"","ref":"Mix.Flowy.Query.html#t:t/0"},{"type":"task","title":"mix flowy.gen","doc":"Lists all available Flowy generators.","ref":"Mix.Tasks.Flowy.Gen.html"},{"type":"task","title":"CRUD related generators - mix flowy.gen","doc":"The table below shows a summary of the contents created by the CRUD generators:\n\n| Task | Schema | Migration | Core | Controller API | LiveView |\n|:------------------ |:-:|:-:|:-:|:-:|:-:|:-:|\n| `flowy.gen.core`   |   |   |   |   |   |   |","ref":"Mix.Tasks.Flowy.Gen.html#module-crud-related-generators"},{"type":"task","title":"mix flowy.gen.core","doc":"Generates a core module with functions around the query module.\n\n    $ mix flowy.gen.core Users User users name:string age:integer\n\nThe first argument is the core module followed by the schema module\nand its plural name (used as the schema table name).\n\nThe coire is an Elixir module that serves as an API boundary for\nthe given resource. A core often holds many related resources.\nTherefore, if the core already exists, it will be augmented with\nfunctions for the given resource.\n\n> Note: A resource may also be split\n> over distinct cores (such as Accounts.User and Payments.User).\n\nThe schema is responsible for mapping the database fields into an\nElixir struct.\n\nOverall, this generator will add the following files to `lib/your_app`:\n\n  * a core module in `/core/users.ex`, serving as the API boundary\n  * a query module in `/queries/users.ex`, serving as the API db boundary\n  * a schema in `/schemas/user.ex`, with a `users` table\n\nA migration file for the repository and test files for the core, query\nand schema will also be generated.","ref":"Mix.Tasks.Flowy.Gen.Core.html"},{"type":"task","title":"Generating without a schema - mix flowy.gen.core","doc":"In some cases, you may wish to bootstrap the core module and\ntests, but leave internal implementation of the core and schema\nto yourself. Use the `--no-schema` flags to accomplish this.","ref":"Mix.Tasks.Flowy.Gen.Core.html#module-generating-without-a-schema"},{"type":"task","title":"table - mix flowy.gen.core","doc":"By default, the table name for the migration and schema will be\nthe plural name provided for the resource. To customize this value,\na `--table` option may be provided. For example:\n\n    $ mix flowy.gen.core Users User users --table cms_users","ref":"Mix.Tasks.Flowy.Gen.Core.html#module-table"},{"type":"task","title":"binary_id - mix flowy.gen.core","doc":"Generated migration can use `binary_id` for schema's primary key\nand its references with option `--binary-id`.","ref":"Mix.Tasks.Flowy.Gen.Core.html#module-binary_id"},{"type":"task","title":"Default options - mix flowy.gen.core","doc":"This generator uses default options provided in the `:generators`\nconfiguration of your application. These are the defaults:\n\n    config :your_app, :generators,\n      migration: true,\n      binary_id: false,\n      timestamp_type: :naive_datetime,\n      sample_binary_id: \"11111111-1111-1111-1111-111111111111\"\n\nYou can override those options per invocation by providing corresponding\nswitches, e.g. `--no-binary-id` to use normal ids despite the default\nconfiguration or `--migration` to force generation of the migration.\n\nRead the documentation for `flowy.gen.schema` for more information on\nattributes.","ref":"Mix.Tasks.Flowy.Gen.Core.html#module-default-options"},{"type":"task","title":"Skipping prompts - mix flowy.gen.core","doc":"This generator will prompt you if there is an existing core with the same\nname, in order to provide more instructions on how to correctly use phoenix cores.\nYou can skip this prompt and automatically merge the new schema access functions and tests into the\nexisting core using `--merge-with-existing-core`. To prevent changes to\nthe existing core and exit the generator, use `--no-merge-with-existing-core`.","ref":"Mix.Tasks.Flowy.Gen.Core.html#module-skipping-prompts"},{"type":"task","title":"mix flowy.gen.query","doc":"Generates Flowy components.\n\n    $ mix flowy.gen.query User users name:string age:integer","ref":"Mix.Tasks.Flowy.Gen.Query.html"},{"type":"function","title":"Mix.Tasks.Flowy.Gen.Query.print_shell_instructions/1","doc":"","ref":"Mix.Tasks.Flowy.Gen.Query.html#print_shell_instructions/1"},{"type":"task","title":"mix flowy.gen.schema","doc":"Generates an Ecto schema and migration.\n\n    $ mix flowy.gen.schema Blog.Post blog_posts title:string views:integer\n\nThe first argument is the schema module followed by its plural\nname (used as the table name).\n\nThe generated schema above will contain:\n\n  * a schema file in `lib/my_app/schemas/blog/post.ex`, with a `blog_posts` table\n  * a migration file for the repository\n\nThe generated migration can be skipped with `--no-migration`.","ref":"Mix.Tasks.Flowy.Gen.Schema.html"},{"type":"task","title":"Attributes - mix flowy.gen.schema","doc":"The resource fields are given using `name:type` syntax\nwhere type are the types supported by Ecto. Omitting\nthe type makes it default to `:string`:\n\n    $ mix flowy.gen.schema Blog.Post blog_posts title views:integer\n\nThe following types are supported:\n\n  * `:integer`\n  * `:float`\n  * `:decimal`\n  * `:boolean`\n  * `:map`\n  * `:string`\n  * `:array`\n  * `:references`\n  * `:text`\n  * `:date`\n  * `:time`\n  * `:time_usec`\n  * `:naive_datetime`\n  * `:naive_datetime_usec`\n  * `:utc_datetime`\n  * `:utc_datetime_usec`\n  * `:uuid`\n  * `:binary`\n  * `:enum`\n\n  * `:datetime` - An alias for `:naive_datetime`\n\nThe generator also supports references, which we will properly\nassociate the given column to the primary key column of the\nreferenced table:\n\n    $ mix flowy.gen.schema Blog.Post blog_posts title user_id:references:users\n\nThis will result in a migration with an `:integer` column\nof `:user_id` and create an index.\n\nFurthermore an array type can also be given if it is\nsupported by your database, although it requires the\ntype of the underlying array element to be given too:\n\n    $ mix flowy.gen.schema Blog.Post blog_posts tags:array:string\n\nUnique columns can be automatically generated by using:\n\n    $ mix flowy.gen.schema Blog.Post blog_posts title:unique unique_int:integer:unique\n\nRedact columns can be automatically generated by using:\n\n    $ mix flowy.gen.schema Accounts.Superhero superheroes secret_identity:redact password:string:redact\n\nEcto.Enum fields can be generated by using:\n\n    $ mix flowy.gen.schema Blog.Post blog_posts title status:enum:unpublished:published:deleted\n\nIf no data type is given, it defaults to a string.","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-attributes"},{"type":"task","title":"table - mix flowy.gen.schema","doc":"By default, the table name for the migration and schema will be\nthe plural name provided for the resource. To customize this value,\na `--table` option may be provided. For example:\n\n    $ mix flowy.gen.schema Blog.Post posts --table cms_posts","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-table"},{"type":"task","title":"binary_id - mix flowy.gen.schema","doc":"Generated migration can use `binary_id` for schema's primary key\nand its references with option `--binary-id`.","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-binary_id"},{"type":"task","title":"repo - mix flowy.gen.schema","doc":"Generated migration can use `repo` to set the migration repository\nfolder with option `--repo`:\n\n    $ mix flowy.gen.schema Blog.Post posts --repo MyApp.Repo.Auth","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-repo"},{"type":"task","title":"migration_dir - mix flowy.gen.schema","doc":"Generated migrations can be added to a specific `--migration-dir` which sets\nthe migration folder path:\n\n    $ mix flowy.gen.schema Blog.Post posts --migration-dir /path/to/directory","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-migration_dir"},{"type":"task","title":"prefix - mix flowy.gen.schema","doc":"By default migrations and schemas are generated without a prefix.\n\nFor PostgreSQL this sets the \"SCHEMA\" (typically set via `search_path`)\nand for MySQL it sets the database for the generated migration and schema.\nThe prefix can be used to thematically organize your tables on the database level.\n\nA prefix can be specified with the `--prefix` flags. For example:\n\n    $ mix flowy.gen.schema Blog.Post posts --prefix blog\n\n> ##","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-prefix"},{"type":"task","title":"Warning {: .warning} - mix flowy.gen.schema","doc":">\n> The flag does not generate migrations to create the schema / database.\n> This needs to be done manually or in a separate migration.","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-warning-warning"},{"type":"task","title":"Default options - mix flowy.gen.schema","doc":"This generator uses default options provided in the `:generators`\nconfiguration of your application. These are the defaults:\n\n    config :your_app, :generators,\n      migration: true,\n      binary_id: false,\n      timestamp_type: :naive_datetime,\n      sample_binary_id: \"11111111-1111-1111-1111-111111111111\"\n\nYou can override those options per invocation by providing corresponding\nswitches, e.g. `--no-binary-id` to use normal ids despite the default\nconfiguration or `--migration` to force generation of the migration.","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-default-options"},{"type":"task","title":"UTC timestamps - mix flowy.gen.schema","doc":"By setting the `:timestamp_type` to `:utc_datetime`, the timestamps\nwill be created using the UTC timezone. This results in a `DateTime` struct\ninstead of a `NaiveDateTime`. This can also be set to `:utc_datetime_usec` for\nmicrosecond precision.","ref":"Mix.Tasks.Flowy.Gen.Schema.html#module-utc-timestamps"}],"content_type":"text/markdown"}